bootkm {Hmisc} | R Documentation

## Bootstrap Kaplan-Meier Estimates

### Description

Bootstraps Kaplan-Meier estimate of the probability of survival to at least a fixed time (`times` variable) or the estimate of the `q` quantile of the survival distribution (e.g., median survival time, the default).

### Usage

    bootkm(S, q=0.5, B=500, times, pr=TRUE)

### Arguments

`S` | a `Surv` object for possibly right-censored survival time
`q` | quantile of survival time, default is 0.5 for median
`B` | number of bootstrap repetitions (default=500)
`times` | time vector (currently only a scalar is allowed) at which to compute survival estimates. You may specify only one of `q` and `times`, and if `times` is specified `q` is ignored.
`pr` | set to `FALSE` to suppress printing the iteration number every 10 iterations

### Details

`bootkm` uses Therneau's `survfitKM` function to efficiently compute Kaplan-Meier estimates.

### Value

a vector containing `B` bootstrap estimates

### Side Effects

updates `.Random.seed`, and, if `pr=TRUE`, prints progress of simulations

### Author(s)

Frank Harrell
Department of Biostatistics
Vanderbilt University School of Medicine
f.harrell@vanderbilt.edu

### References

Akritas MG (1986): Bootstrapping the Kaplan-Meier estimator. JASA 81:1032–1038.

### See Also

`survfit`, `Surv`, `Survival.cph`, `Quantile.cph`

### Examples

    # Compute 0.95 nonparametric confidence interval for the difference in
    # median survival time between females and males (two-sample problem)
    set.seed(1)
    library(survival)
    S <- Surv(runif(200))      # no censoring
    sex <- c(rep('female',100),rep('male',100))
    med.female <- bootkm(S[sex=='female',], B=100) # normally B=500
    med.male   <- bootkm(S[sex=='male',],   B=100)
    describe(med.female-med.male)
    quantile(med.female-med.male, c(.025,.975), na.rm=TRUE)
    # na.rm needed because some bootstrap estimates of median survival
    # time may be missing when a bootstrap sample did not include the
    # longer survival times

[Package Hmisc version 4.0-3 Index]